Subject: Re: bonding and SR-IOV -- do we need arp_validation for loadbalancing too?

From: Chris Friesen <[email-masked]>
Date: Tue, 24 Jul 2012 14:38:36 -0600

On 07/24/2012 02:18 PM, Chris Friesen wrote:
>
> A more general solution might be to have the device driver also track 
> the time of the last incoming packet that came from the external 
> network (rather than a VF) and having the bond driver ignore those 
> packets for the purpose of link health.  Doing this efficiently would 
> likely require some kind of hardware support though--as an example the 
> 82599 seems to support this with the "LB" bit in the rx descriptor.

That should of course be reversed.  We want the bond driver to only use 
the packets from the external network for the purpose of link health.

Does anyone other than bonding actually care about dev->last_rx?  If not 
then we could just change the drivers to only set it for external packets.

Chris